

* PREDICTIONS FROM A GLM IN GLM B SUBS.SAV

GET FILE ='E:\GLM FOR ZIPPING\DEMO GLMS\GLM B SUBS.SAV'.

T-TEST
  GROUPS = location(0 1)
  /MISSING = ANALYSIS
  /VARIABLES = crime
  /CRITERIA = CI(.95) .

COMPUTE INTERCEPT=1.
EXE.

* GLM EQUIVALENT OF AN UNPAIRED T-TEST

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /ORIGIN
  /DEPENDENT crime
  /METHOD=ENTER INTERCEPT  /METHOD=ENTER location  .

* AVERAGE CRIME RATE FOR NORTHERN AREAS = 93.000
* AVERAGE CRIME RATE FOR SOUTHERN AREAS = 93.000 - 7.319 = 85.681
* DIFFERENCE IN CRIME RATES EQUALS 7.319 SO TEST OF LOCATION PREDICTOR REGRESSION ESTIMATE IS 
* EQUIVALENT TO A UNPAIRED T-TEST

* CENTERING AGE EXPRESSES CRIME RATE PREDICTION IN TERMS OF AVERAGE AGE

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT crime
  /METHOD=ENTER age location  .

* HIERARCHICAL SS = (385579.4 - 385014.2) / 1516.533 = 0.372 = F(1,45) = 0.610^2 = T(45)

CRIME RATE AT AVERAGE AGE OF 138.57 MONTHS = 92.05= 115.75 - .171 * 138.57  IN NORTHERN US STATES
CRIME RATE AT AVERAGE AGE OF 138.57 MONTHS = 87.35= 115.75 - .171 * 138.57 -4.703 IN SOUTHERN US STATES

* CENTRE AGE AND RE-EXPRESS LOCATION DIFFERENCES

COMPUTE age_c = age - 138.57.
EXECUTE .

COMPUTE LOC=LOCATION.
IF (LOCATION EQ 0) LOC=-1.
EXE.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT crime
  /METHOD=ENTER age_C loc .

*NOTE THE SS IN THE ANOVA ARE THE SAME FOR BOTH REGRESSIONS SO WE CAN RE-SCALING AGE AND LOCATION
* AND FIT THE IDENTICAL GLM.

*CRIME RATE AT AVERAGE AGE OF 138.57 MONTHS = 89.76 + 2.35 = 92.11 IN NORTHERN US STATES
*CRIME RATE AT AVERAGE AGE OF 138.57 MONTHS = 89.76 - 2.35 = 87.41 IN SOUTHERN US STATES

*DIFFERENCE IN LOCATIONS 2.35 X 2 = 4.70 (EQUAL TO DIFFERENCE USING 0-1 DUMMY VARIABLES).



