
GET FILE='E:/GLM FOR ZIPPING/DEMO GLMS/GLM ancova.sav'.

DATASET ACTIVATE DataSet0.
UNIANOVA y BY group1 WITH x
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /EMMEANS=TABLES(group1) WITH(x=MEAN) COMPARE ADJ(LSD)
  /CRITERIA=ALPHA(.05)
  /DESIGN=x group1.

* the t value squared equals the F value for the covariate
* can get the group effect doing an unpaired t-test on the regression coefficients as earlier

* The group adjusted means  for x evaluated at x=2.5 (mean of x) are from the regression -2 + 1.5*2.5 = 1.75
and  1.5 + 1.5*2.5= 5.25 (the same as those given in the univariate ANCOVA procedure)

* the only difference between the regression approach and ancova are that the regression estimates each group standard error separately whereas ANCOVA uses a pooled 
variance. These will agree closely if the variances in each group are similar

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /ORIGIN 
  /DEPENDENT y
  /METHOD=ENTER group1 group2 x.

* direct comparisons as in ANCOVA between groups at x mean

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT y
  /METHOD=ENTER group1 xcent.
